Subject: Re: [PATCH v1 0/2] powerpc/pseries/cmm: two smaller fixes

From: Ritesh Harjani (IBM) <[email-masked]>
Date: Fri, 28 Nov 2025 16:10:47 +0530

"David Hildenbrand (Red Hat)" <[email-masked]> writes:

>>>
>>> Right. Let me give it a try first with pseries Qemu. Otherwise I have an
>>> access to pseries LPAR too. I can verify it there.
>> 
>> Ah, now I realize my problem: I tried with Fedora 43 in a powerpc VM but
>> the modprobe didn't do anything.
>> 
>> Looking again:
>> 
>> # grep CONFIG_CMM /boot/config-6.17.1-300.fc43.ppc64le
>> CONFIG_CMM=y
>> 
>> So modprob'ing won't do as the module is built in.
>
> Right, so doing "cmm.simulate=1" on the cmdline in a Fedora 43 VMs 
> properly creates the CMM device.
>

Right verifying using simulate mode is very straightforward. Thanks for that!
So.. using various random echo X > simulate_loan_target_kb on a VM...

~# cat /proc/vmstat |grep balloon
nr_balloon_pages 16
balloon_inflate 1638
balloon_deflate 1622
balloon_migrate 4

-ritesh